```@meta
CollapsedDocStrings = true
```

# MRIBuilder.jl API
```@autodocs
Modules = [
    MRIBuilder, 
    MRIBuilder.Scanners,
    MRIBuilder.BuildSequences,
    MRIBuilder.Variables,
    MRIBuilder.Components,
    MRIBuilder.Components.AbstractTypes,
    MRIBuilder.Components.GradientWaveforms,
    MRIBuilder.Components.GradientWaveforms.NoGradientBlocks,
    MRIBuilder.Components.GradientWaveforms.ConstantGradientBlocks,
    MRIBuilder.Components.GradientWaveforms.ChangingGradientBlocks,
    MRIBuilder.Components.InstantGradients,
    MRIBuilder.Components.Pulses,
    MRIBuilder.Components.Pulses.GenericPulses,
    MRIBuilder.Components.Pulses.InstantPulses,
    MRIBuilder.Components.Pulses.ConstantPulses,
    MRIBuilder.Components.Pulses.SincPulses,
    MRIBuilder.Components.Readouts,
    MRIBuilder.Components.Readouts.ADCs,
    MRIBuilder.Components.Readouts.SingleReadouts,
    MRIBuilder.Containers,
    MRIBuilder.Containers.Abstract,
    MRIBuilder.Containers.BuildingBlocks,
    MRIBuilder.Containers.BaseSequences,
    MRIBuilder.Containers.Alternatives,
    MRIBuilder.Pathways,
    MRIBuilder.Parts,
    MRIBuilder.PostHoc,
    MRIBuilder.Sequences,
    MRIBuilder.Sequences.GradientEchoes,
    MRIBuilder.Sequences.SpinEchoes,
    MRIBuilder.Sequences.DiffusionSpinEchoes,
    MRIBuilder.Printing,
    MRIBuilder.SequenceIO,
    MRIBuilder.SequenceIO.Pulseq,
    MRIBuilder.Plot,
]
```